// src/generated-public/basic/endpoints/Misc$.ts
import { CodeGenUtil, SdkCache, Validate } from "@accelbyte/sdk";
import { z as z2 } from "zod";

// src/generated-public/basic/definitions/RetrieveTimeResponse.ts
import { z } from "zod";
var RetrieveTimeResponse = z.object({ currentTime: z.string().nullish() });

// src/generated-public/basic/endpoints/Misc$.ts
var Misc$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getMiscTime() {
    const params = {};
    const url = "/basic/v1/public/misc/time";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, RetrieveTimeResponse, "RetrieveTimeResponse");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  getMiscLanguages() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/languages".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, z2.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
  getMiscTimezones() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/misc/timezones".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate.responseType(() => resultPromise, z2.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil.hashCode(JSON.stringify({ params }));
    return SdkCache.withCache(cacheKey, res);
  }
};

// src/generated-public/basic/MiscApi.ts
import { ApiUtils, Network } from "@accelbyte/sdk";
function MiscApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
  async function getMiscTime() {
    const $ = new Misc$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getMiscTime();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscLanguages() {
    const $ = new Misc$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getMiscLanguages();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getMiscTimezones() {
    const $ = new Misc$(Network.create(requestConfig), namespace, cache);
    const resp = await $.getMiscTimezones();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getMiscTime,
    getMiscLanguages,
    getMiscTimezones
  };
}

// src/generated-public/basic/endpoints/Namespace$.ts
import { CodeGenUtil as CodeGenUtil2, SdkCache as SdkCache2, Validate as Validate2 } from "@accelbyte/sdk";

// src/generated-public/basic/definitions/NamespaceInfoArray.ts
import { z as z4 } from "zod";

// src/generated-public/basic/definitions/NamespaceInfo.ts
import { z as z3 } from "zod";
var NamespaceInfo = z3.object({
  clientId: z3.string().nullish(),
  createdAt: z3.string().nullish(),
  displayName: z3.string(),
  namespace: z3.string(),
  parentNamespace: z3.string().nullish(),
  status: z3.enum(["ACTIVE", "DELETED", "INACTIVE"]).nullish(),
  updatedAt: z3.string().nullish()
});

// src/generated-public/basic/definitions/NamespaceInfoArray.ts
var NamespaceInfoArray = z4.array(NamespaceInfo);

// src/generated-public/basic/definitions/NamespacePublisherInfo.ts
import { z as z5 } from "zod";
var NamespacePublisherInfo = z5.object({ publisher: z5.boolean().nullish(), publisherNamespace: z5.string().nullish() });

// src/generated-public/basic/endpoints/Namespace$.ts
var Namespace$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getNamespaces(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces";
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate2.responseType(() => resultPromise, NamespaceInfoArray, "NamespaceInfoArray");
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
  getPublisher() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/publisher".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate2.responseType(() => resultPromise, NamespacePublisherInfo, "NamespacePublisherInfo");
    if (!this.cache) {
      return SdkCache2.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil2.hashCode(JSON.stringify({ params }));
    return SdkCache2.withCache(cacheKey, res);
  }
};

// src/generated-public/basic/NamespaceApi.ts
import { ApiUtils as ApiUtils2, Network as Network2 } from "@accelbyte/sdk";
function NamespaceApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils2.mergedConfigs(sdkAssembly.config, args);
  async function getNamespaces(queryParams) {
    const $ = new Namespace$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.getNamespaces(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getPublisher() {
    const $ = new Namespace$(Network2.create(requestConfig), namespace, cache);
    const resp = await $.getPublisher();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getNamespaces,
    getPublisher
  };
}

// src/generated-public/basic/endpoints/UserProfile$.ts
import { CodeGenUtil as CodeGenUtil3, SdkCache as SdkCache3, Validate as Validate3 } from "@accelbyte/sdk";
import { z as z11 } from "zod";

// src/generated-public/basic/definitions/UserProfileInfo.ts
import { z as z6 } from "zod";
var UserProfileInfo = z6.object({
  avatarLargeUrl: z6.string().nullish(),
  avatarSmallUrl: z6.string().nullish(),
  avatarUrl: z6.string().nullish(),
  customAttributes: z6.record(z6.any()).nullish(),
  dateOfBirth: z6.string().nullish(),
  firstName: z6.string().nullish(),
  language: z6.string().nullish(),
  lastName: z6.string().nullish(),
  namespace: z6.string().nullish(),
  publicId: z6.string().nullish(),
  status: z6.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z6.string().nullish(),
  userId: z6.string().nullish(),
  zipCode: z6.string().nullish()
});

// src/generated-public/basic/definitions/UserProfilePrivateInfo.ts
import { z as z7 } from "zod";
var UserProfilePrivateInfo = z7.object({
  avatarLargeUrl: z7.string().nullish(),
  avatarSmallUrl: z7.string().nullish(),
  avatarUrl: z7.string().nullish(),
  customAttributes: z7.record(z7.any()).nullish(),
  dateOfBirth: z7.string().nullish(),
  firstName: z7.string().nullish(),
  language: z7.string().nullish(),
  lastName: z7.string().nullish(),
  namespace: z7.string().nullish(),
  privateCustomAttributes: z7.record(z7.any()).nullish(),
  publicId: z7.string().nullish(),
  status: z7.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z7.string().nullish(),
  userId: z7.string().nullish(),
  zipCode: z7.string().nullish()
});

// src/generated-public/basic/definitions/UserProfilePublicInfo.ts
import { z as z8 } from "zod";
var UserProfilePublicInfo = z8.object({
  avatarLargeUrl: z8.string().nullish(),
  avatarSmallUrl: z8.string().nullish(),
  avatarUrl: z8.string().nullish(),
  customAttributes: z8.record(z8.any()).nullish(),
  namespace: z8.string().nullish(),
  publicId: z8.string().nullish(),
  timeZone: z8.string().nullish(),
  userId: z8.string().nullish()
});

// src/generated-public/basic/definitions/UserProfilePublicInfoArray.ts
import { z as z9 } from "zod";
var UserProfilePublicInfoArray = z9.array(UserProfilePublicInfo);

// src/generated-public/basic/definitions/UserZipCode.ts
import { z as z10 } from "zod";
var UserZipCode = z10.object({ zipCode: z10.string().nullish() });

// src/generated-public/basic/endpoints/UserProfile$.ts
var UserProfile$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  getProfilesPublic(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserProfilePublicInfoArray, "UserProfilePublicInfoArray");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  getUsersMeProfiles() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  createUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  updateUserMeProfile(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserProfilePrivateInfo, "UserProfilePrivateInfo");
  }
  getProfiles_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  createProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  updateProfile_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getUsersMeProfilesZipCode() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserZipCode, "UserZipCode");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  patchUserMeProfileZipCode(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/zipCode".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserZipCode, "UserZipCode");
  }
  getProfilesPublicByPublicId(queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/profiles/public/byPublicId".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  getProfilesPublic_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/public".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, UserProfilePublicInfo, "UserProfilePublicInfo");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  patchProfileStatus_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/status".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.patch(url, data, { params });
    return Validate3.responseType(() => resultPromise, UserProfileInfo, "UserProfileInfo");
  }
  getProfilesCustomAttributes_ByUserId(userId) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, z11.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  updateProfileCustomAttribute_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/profiles/customAttributes".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate3.responseType(() => resultPromise, z11.unknown(), "z.unknown()");
  }
  getUsersMeProfilesPrivateCustomAttributes() {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.get(url, { params });
    const res = () => Validate3.responseType(() => resultPromise, z11.unknown(), "z.unknown()");
    if (!this.cache) {
      return SdkCache3.withoutCache(res);
    }
    const cacheKey = url + CodeGenUtil3.hashCode(JSON.stringify({ params }));
    return SdkCache3.withCache(cacheKey, res);
  }
  updateUserMeProfilePrivateCustomAttribute(data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/me/profiles/privateCustomAttributes".replace("{namespace}", this.namespace);
    const resultPromise = this.axiosInstance.put(url, data, { params });
    return Validate3.responseType(() => resultPromise, z11.unknown(), "z.unknown()");
  }
};

// src/generated-public/basic/UserProfileApi.ts
import { ApiUtils as ApiUtils3, Network as Network3 } from "@accelbyte/sdk";
function UserProfileApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils3.mergedConfigs(sdkAssembly.config, args);
  async function getProfilesPublic(queryParams) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublic(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfiles() {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfiles();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createUserMeProfile(data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.createUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfile(data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.updateUserMeProfile(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfiles_ByUserId(userId) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getProfiles_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.createProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfile_ByUserId(userId, data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.updateProfile_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesZipCode() {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfilesZipCode();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchUserMeProfileZipCode(data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.patchUserMeProfileZipCode(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublicByPublicId(queryParams) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublicByPublicId(queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesPublic_ByUserId(userId) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesPublic_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function patchProfileStatus_ByUserId(userId, data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.patchProfileStatus_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getProfilesCustomAttributes_ByUserId(userId) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getProfilesCustomAttributes_ByUserId(userId);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateProfileCustomAttribute_ByUserId(userId, data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.updateProfileCustomAttribute_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function getUsersMeProfilesPrivateCustomAttributes() {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.getUsersMeProfilesPrivateCustomAttributes();
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function updateUserMeProfilePrivateCustomAttribute(data) {
    const $ = new UserProfile$(Network3.create(requestConfig), namespace, cache);
    const resp = await $.updateUserMeProfilePrivateCustomAttribute(data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    getProfilesPublic,
    getUsersMeProfiles,
    createUserMeProfile,
    updateUserMeProfile,
    getProfiles_ByUserId,
    createProfile_ByUserId,
    updateProfile_ByUserId,
    getUsersMeProfilesZipCode,
    patchUserMeProfileZipCode,
    getProfilesPublicByPublicId,
    getProfilesPublic_ByUserId,
    patchProfileStatus_ByUserId,
    getProfilesCustomAttributes_ByUserId,
    updateProfileCustomAttribute_ByUserId,
    getUsersMeProfilesPrivateCustomAttributes,
    updateUserMeProfilePrivateCustomAttribute
  };
}

// src/generated-public/basic/endpoints/FileUpload$.ts
import { Validate as Validate4 } from "@accelbyte/sdk";

// src/generated-public/basic/definitions/FileUploadUrlInfo.ts
import { z as z12 } from "zod";
var FileUploadUrlInfo = z12.object({
  accessUrl: z12.string().nullish(),
  contentType: z12.string().nullish(),
  method: z12.string().nullish(),
  url: z12.string().nullish()
});

// src/generated-public/basic/endpoints/FileUpload$.ts
var FileUpload$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createFile_ByUserId(userId, queryParams) {
    const params = { category: "default", ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/files".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate4.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
  createFile_ByFolder(folder, queryParams) {
    const params = { ...queryParams };
    const url = "/basic/v1/public/namespaces/{namespace}/folders/{folder}/files".replace("{namespace}", this.namespace).replace("{folder}", folder);
    const resultPromise = this.axiosInstance.post(url, null, { params });
    return Validate4.responseType(() => resultPromise, FileUploadUrlInfo, "FileUploadUrlInfo");
  }
};

// src/generated-public/basic/FileUploadApi.ts
import { ApiUtils as ApiUtils4, Network as Network4 } from "@accelbyte/sdk";
function FileUploadApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils4.mergedConfigs(sdkAssembly.config, args);
  async function createFile_ByUserId(userId, queryParams) {
    const $ = new FileUpload$(Network4.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByUserId(userId, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  async function createFile_ByFolder(folder, queryParams) {
    const $ = new FileUpload$(Network4.create(requestConfig), namespace, cache);
    const resp = await $.createFile_ByFolder(folder, queryParams);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createFile_ByUserId,
    createFile_ByFolder
  };
}

// src/generated-public/basic/endpoints/UserAction$.ts
import { Validate as Validate5 } from "@accelbyte/sdk";
import { z as z13 } from "zod";
var UserAction$ = class {
  constructor(axiosInstance, namespace, cache = false) {
    this.axiosInstance = axiosInstance;
    this.namespace = namespace;
    this.cache = cache;
  }
  createActionReport_ByUserId(userId, data) {
    const params = {};
    const url = "/basic/v1/public/namespaces/{namespace}/users/{userId}/actions/report".replace("{namespace}", this.namespace).replace("{userId}", userId);
    const resultPromise = this.axiosInstance.post(url, data, { params });
    return Validate5.responseType(() => resultPromise, z13.unknown(), "z.unknown()");
  }
};

// src/generated-public/basic/UserActionApi.ts
import { ApiUtils as ApiUtils5, Network as Network5 } from "@accelbyte/sdk";
function UserActionApi(sdk, args) {
  const sdkAssembly = sdk.assembly();
  const namespace = (args == null ? void 0 : args.namespace) ? args == null ? void 0 : args.namespace : sdkAssembly.namespace;
  const cache = (args == null ? void 0 : args.cache) ? args == null ? void 0 : args.cache : sdkAssembly.cache;
  const requestConfig = ApiUtils5.mergedConfigs(sdkAssembly.config, args);
  async function createActionReport_ByUserId(userId, data) {
    const $ = new UserAction$(Network5.create(requestConfig), namespace, cache);
    const resp = await $.createActionReport_ByUserId(userId, data);
    if (resp.error)
      throw resp.error;
    return resp.response.data;
  }
  return {
    createActionReport_ByUserId
  };
}

// src/generated-public/Basic.ts
var apis = {
  MiscApi,
  NamespaceApi,
  UserProfileApi,
  FileUploadApi,
  UserActionApi
};
var Basic = apis;

// src/generated-public/basic/definitions/ADtoForUnbanUserApiCall.ts
import { z as z14 } from "zod";
var ADtoForUnbanUserApiCall = z14.object({ comment: z14.string().nullish(), userIds: z14.array(z14.string()) });

// src/generated-public/basic/definitions/ADtoForUpdateEqu8ConfigApiCall.ts
import { z as z15 } from "zod";
var ADtoForUpdateEqu8ConfigApiCall = z15.object({ apiKey: z15.string().nullish() });

// src/generated-public/basic/definitions/ADtoObjectForEqu8UserBanStatus.ts
import { z as z16 } from "zod";
var ADtoObjectForEqu8UserBanStatus = z16.object({ expires: z16.string().nullish(), userId: z16.string().nullish() });

// src/generated-public/basic/definitions/ADtoObjectForEqu8UserStatus.ts
import { z as z17 } from "zod";
var ADtoObjectForEqu8UserStatus = z17.object({
  actionComment: z17.string().nullish(),
  actionId: z17.number().int().nullish(),
  expires: z17.string().nullish(),
  userId: z17.string().nullish(),
  when: z17.string().nullish()
});

// src/generated-public/basic/definitions/Action.ts
import { z as z18 } from "zod";
var Action = z18.object({
  color: z18.string().nullish(),
  description: z18.string().nullish(),
  duration: z18.number().int().nullish(),
  icon: z18.string().nullish(),
  id: z18.number().int().nullish(),
  name: z18.string().nullish(),
  priority: z18.number().int().nullish()
});

// src/generated-public/basic/definitions/AddCountryGroupRequest.ts
import { z as z20 } from "zod";

// src/generated-public/basic/definitions/CountryObject.ts
import { z as z19 } from "zod";
var CountryObject = z19.object({ code: z19.string().nullish(), name: z19.string().nullish() });

// src/generated-public/basic/definitions/AddCountryGroupRequest.ts
var AddCountryGroupRequest = z20.object({
  countries: z20.array(CountryObject).nullish(),
  countryGroupCode: z20.string().nullish(),
  countryGroupName: z20.string().nullish()
});

// src/generated-public/basic/definitions/AddCountryGroupResponse.ts
import { z as z21 } from "zod";
var AddCountryGroupResponse = z21.object({
  countries: z21.array(CountryObject).nullish(),
  countryGroupCode: z21.string().nullish(),
  countryGroupName: z21.string().nullish()
});

// src/generated-public/basic/definitions/ConfigCreate.ts
import { z as z22 } from "zod";
var ConfigCreate = z22.object({ key: z22.string(), value: z22.string() });

// src/generated-public/basic/definitions/ConfigInfo.ts
import { z as z23 } from "zod";
var ConfigInfo = z23.object({
  createdAt: z23.string().nullish(),
  key: z23.string().nullish(),
  namespace: z23.string().nullish(),
  updatedAt: z23.string().nullish(),
  value: z23.string().nullish()
});

// src/generated-public/basic/definitions/ConfigUpdate.ts
import { z as z24 } from "zod";
var ConfigUpdate = z24.object({ value: z24.string() });

// src/generated-public/basic/definitions/CountryGroupObject.ts
import { z as z25 } from "zod";
var CountryGroupObject = z25.object({
  countries: z25.array(CountryObject).nullish(),
  countryGroupCode: z25.string().nullish(),
  countryGroupName: z25.string().nullish()
});

// src/generated-public/basic/definitions/Equ8Config.ts
import { z as z26 } from "zod";
var Equ8Config = z26.object({ apiKey: z26.string().nullish(), namespace: z26.string().nullish() });

// src/generated-public/basic/definitions/ErrorEntity.ts
import { z as z27 } from "zod";
var ErrorEntity = z27.object({
  devStackTrace: z27.string().nullish(),
  errorCode: z27.number().int(),
  errorMessage: z27.string(),
  messageVariables: z27.record(z27.string()).nullish()
});

// src/generated-public/basic/definitions/FieldValidationError.ts
import { z as z28 } from "zod";
var FieldValidationError = z28.object({
  errorCode: z28.string().nullish(),
  errorField: z28.string().nullish(),
  errorMessage: z28.string().nullish(),
  errorValue: z28.string().nullish(),
  messageVariables: z28.record(z28.string()).nullish()
});

// src/generated-public/basic/definitions/NamespaceCreate.ts
import { z as z29 } from "zod";
var NamespaceCreate = z29.object({ displayName: z29.string(), namespace: z29.string() });

// src/generated-public/basic/definitions/NamespaceStatusUpdate.ts
import { z as z30 } from "zod";
var NamespaceStatusUpdate = z30.object({ status: z30.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-public/basic/definitions/NamespaceUpdate.ts
import { z as z31 } from "zod";
var NamespaceUpdate = z31.object({ displayName: z31.string() });

// src/generated-public/basic/definitions/RetrieveCountryGroupResponse.ts
import { z as z32 } from "zod";
var RetrieveCountryGroupResponse = z32.object({
  countries: z32.array(CountryObject).nullish(),
  countryGroupCode: z32.string().nullish(),
  countryGroupName: z32.string().nullish()
});

// src/generated-public/basic/definitions/UpdateCountryGroupRequest.ts
import { z as z33 } from "zod";
var UpdateCountryGroupRequest = z33.object({ countries: z33.array(CountryObject).nullish(), countryGroupName: z33.string().nullish() });

// src/generated-public/basic/definitions/UserBanRequest.ts
import { z as z34 } from "zod";
var UserBanRequest = z34.object({ actionId: z34.number().int(), comment: z34.string().nullish(), userIds: z34.array(z34.string()) });

// src/generated-public/basic/definitions/UserProfileAdmin.ts
import { z as z35 } from "zod";
var UserProfileAdmin = z35.object({
  avatarLargeUrl: z35.string().nullish(),
  avatarSmallUrl: z35.string().nullish(),
  avatarUrl: z35.string().nullish(),
  customAttributes: z35.record(z35.any()).nullish(),
  dateOfBirth: z35.string().nullish(),
  firstName: z35.string().nullish(),
  language: z35.string().nullish(),
  lastName: z35.string().nullish(),
  privateCustomAttributes: z35.record(z35.any()).nullish(),
  status: z35.enum(["ACTIVE", "INACTIVE"]).nullish(),
  timeZone: z35.string().nullish(),
  zipCode: z35.string().nullish()
});

// src/generated-public/basic/definitions/UserProfileBulkRequest.ts
import { z as z36 } from "zod";
var UserProfileBulkRequest = z36.object({ userIds: z36.array(z36.string()).nullish() });

// src/generated-public/basic/definitions/UserProfileCreate.ts
import { z as z37 } from "zod";
var UserProfileCreate = z37.object({
  avatarLargeUrl: z37.string().nullish(),
  avatarSmallUrl: z37.string().nullish(),
  avatarUrl: z37.string().nullish(),
  customAttributes: z37.record(z37.any()).nullish(),
  dateOfBirth: z37.string().nullish(),
  firstName: z37.string().nullish(),
  language: z37.string().nullish(),
  lastName: z37.string().nullish(),
  timeZone: z37.string().nullish()
});

// src/generated-public/basic/definitions/UserProfilePrivateCreate.ts
import { z as z38 } from "zod";
var UserProfilePrivateCreate = z38.object({
  avatarLargeUrl: z38.string().nullish(),
  avatarSmallUrl: z38.string().nullish(),
  avatarUrl: z38.string().nullish(),
  customAttributes: z38.record(z38.any()).nullish(),
  dateOfBirth: z38.string().nullish(),
  firstName: z38.string().nullish(),
  language: z38.string().nullish(),
  lastName: z38.string().nullish(),
  privateCustomAttributes: z38.record(z38.any()).nullish(),
  timeZone: z38.string().nullish()
});

// src/generated-public/basic/definitions/UserProfileStatusUpdate.ts
import { z as z39 } from "zod";
var UserProfileStatusUpdate = z39.object({ status: z39.enum(["ACTIVE", "INACTIVE"]) });

// src/generated-public/basic/definitions/UserProfileUpdate.ts
import { z as z40 } from "zod";
var UserProfileUpdate = z40.object({
  avatarLargeUrl: z40.string().nullish(),
  avatarSmallUrl: z40.string().nullish(),
  avatarUrl: z40.string().nullish(),
  customAttributes: z40.record(z40.any()).nullish(),
  dateOfBirth: z40.string().nullish(),
  firstName: z40.string().nullish(),
  language: z40.string().nullish(),
  lastName: z40.string().nullish(),
  privateCustomAttributes: z40.record(z40.any()).nullish(),
  timeZone: z40.string().nullish(),
  zipCode: z40.string().nullish()
});

// src/generated-public/basic/definitions/UserReportRequest.ts
import { z as z41 } from "zod";
var UserReportRequest = z41.object({
  category: z41.string(),
  description: z41.string().nullish(),
  gameSessionId: z41.string().nullish(),
  subcategory: z41.string().nullish(),
  userId: z41.string()
});

// src/generated-public/basic/definitions/UserZipCodeUpdate.ts
import { z as z42 } from "zod";
var UserZipCodeUpdate = z42.object({ zipCode: z42.string() });

// src/generated-public/basic/definitions/ValidationErrorEntity.ts
import { z as z43 } from "zod";
var ValidationErrorEntity = z43.object({
  errorCode: z43.number().int(),
  errorMessage: z43.string(),
  errors: z43.array(FieldValidationError).nullish()
});
export {
  ADtoForUnbanUserApiCall,
  ADtoForUpdateEqu8ConfigApiCall,
  ADtoObjectForEqu8UserBanStatus,
  ADtoObjectForEqu8UserStatus,
  Action,
  AddCountryGroupRequest,
  AddCountryGroupResponse,
  Basic,
  ConfigCreate,
  ConfigInfo,
  ConfigUpdate,
  CountryGroupObject,
  CountryObject,
  Equ8Config,
  ErrorEntity,
  FieldValidationError,
  FileUpload$,
  FileUploadApi,
  FileUploadUrlInfo,
  Misc$,
  MiscApi,
  Namespace$,
  NamespaceApi,
  NamespaceCreate,
  NamespaceInfo,
  NamespaceInfoArray,
  NamespacePublisherInfo,
  NamespaceStatusUpdate,
  NamespaceUpdate,
  RetrieveCountryGroupResponse,
  RetrieveTimeResponse,
  UpdateCountryGroupRequest,
  UserAction$,
  UserActionApi,
  UserBanRequest,
  UserProfile$,
  UserProfileAdmin,
  UserProfileApi,
  UserProfileBulkRequest,
  UserProfileCreate,
  UserProfileInfo,
  UserProfilePrivateCreate,
  UserProfilePrivateInfo,
  UserProfilePublicInfo,
  UserProfilePublicInfoArray,
  UserProfileStatusUpdate,
  UserProfileUpdate,
  UserReportRequest,
  UserZipCode,
  UserZipCodeUpdate,
  ValidationErrorEntity
};
